API referenceChatMessage
Updates the ChatMessage resource.
Updates the ChatMessage resource.
PATCH
/api/chat_messages/read-allcurl -X PATCH "/api/chat_messages/read-all" \
-H "apikey: $MEDIALISTER_API_KEY" \
-H "Content-Type: application/merge-patch+json" \
-d '{
"order": "/api/orders/a0a94ced-47ab-4f78-828f-97bc5d0e3dc9"
}'Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Body
application/merge-patch+json
The updated ChatMessage resource
orderstring
Response
application/ld+json
ChatMessage resource updated
@contextone of@idstringrequired@typestringrequiredcontentstringrequiredsenderTypeenum<integer> | nullOne of:012senderNamestringrequiredpublicSenderNamestring | nullsenderUserClientUser.jsonld-all.read | nullidstring<uuid>createdAtstring<date-time>updatedAtstring<date-time>
{
"@context": "string",
"@id": "string",
"@type": "string",
"content": "string",
"senderType": 0,
"senderName": "string",
"publicSenderName": "string",
"senderUser": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"country": "/api/geo_locations/0a097745-ff39-4659-8cae-a9bfb596a124",
"email": "string",
"phone": "+111 11111111",
"fullName": "John Doe",
"confirmedAt": "2026-01-15T09:30:00Z",
"invitedAt": "2026-01-15T09:30:00Z",
"bannedUntil": "2026-01-15T09:30:00Z",
"referredBy": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"publicId": "string"
},
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}